Ticket #39743

ウィンドウタイトル設定シーケンスでのエンコーディング変換

Open Date: 2019-11-11 12:05 Last Update: 2019-12-09 09:54

Reporter:
Owner:
Status:
Open [Owner assigned]
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

現状の問題

OSC 0~2 のウィンドウタイトル設定シーケンスで渡される文字列は、受信漢字コード設定によってはエンコーディングの変換が行われる。

現在の状況は以下。

言語設定 受信漢字コード設定 エンコーディング変換 備考
日本語 SJIS なし 日本語環境では問題無し
日本語 EUC あり SJISへ変換される
日本語 JIS なし OSC文字列に含めるのが困難
日本語 UTF-8 なし 文字化けする
英語 なし なし 英語環境等では問題なし
ロシア語 色々 なし 詳細不明
韓国語 KS5601 なし 韓国語環境では問題なし?
韓国語 UTF-8 なし 文字化けする
UTF-8 UTF-8 なし 文字化けする

通常の表示する為の文字列と制御シーケンスで使う文字列は同じエンコーディングが使える事が望ましいと考えられるので、UTF-8 設定等で文字化けするのは問題が有る。

対処案

受信漢字コードの設定に合わせて、ウィンドウタイトル設定シーケンスに含まれるタイトル文字列のエンコーディング変換を行う。

言語 受信漢字コード エンコーディング変換
日本語 SJIS なし
日本語 EUC SJISへ変換(現状のまま)
日本語 JIS なし
日本語 UTF-8 Locale設定に従い変換
英語 なし なし
ロシア語 色々 なし (保留)
韓国語 KS5601 なし
韓国語 UTF-8 Locale設定に従い変換
UTF-8 UTF-8 Locale設定に従い変換

検討事項

  • 日本語モードではシステムロケールとして CP932 が、英語では CP1252, 韓国語では CP949 が使われていると仮定されているが問題無いか

Ticket History (3/4 Histories)

2019-11-11 12:05 Updated by: doda
  • New Ticket "ウィンドウタイトル設定シーケンスでのエンコーディング変換" created
2019-11-26 20:48 Updated by: doda
  • Owner Update from (None) to doda
  • Resolution Update from None to Fixed
  • Milestone Update from (None) to Tera Term 4.105 (closed)
Comment

とりあえず UTF-8 設定の時のみ r8399 で対応。

2019-12-08 09:01 Updated by: None
2019-12-09 09:54 Updated by: doda
Comment

4.105 では修正済み。

5.0 では内部エンコーディングが変更になる為、別途対応が必要。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login